Storyden
Nodes

Node Update Properties

Update the properties of a node. New schema fields will result in the schema of the node being updated before values are assigned. This will also propagate to all sibling nodes as they all share the same schema.

PATCH
/nodes/{node_slug}/properties

Update the properties of a node. New schema fields will result in the schema of the node being updated before values are assigned. This will also propagate to all sibling nodes as they all share the same schema.

Authorization

cookiestoryden-session<token>

Path Parameters

node_slug*string

Unique node Slug.

Formatxid

Request Body

application/json
  1. body

Note: Properties are replace-all and are not merged with existing.

properties*array<>

Response Body

Node properties updated.

application/json
  1. response
properties*array<>
Example Request
curl -X PATCH 'https://example.com/api/nodes/string/properties' \  -H 'Content-Type: application/json' \  -d '{  "properties": [    {      "name": "string",      "value": "string"    }  ]}'
Example Response
{  "properties": [    {      "fid": "string",      "name": "string",      "type": "text",      "value": "string",      "sort": "string"    }  ]}